# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
%define texmf   %{_datadir}/texmf-local

Name:           tetex-elsevier
# upstream is unversioned, the version is constructed with the latest 
# file timestamp, in the format YYYYMMDD
Version:        0.1.20090917
Release:        alt1_9
Summary:        Elsevier LaTeX style files and documentation

Group:          Publishing
License:        LPPL
URL:            http://www.elsevier.com/locate/latex
# Put this one as Source0 so it's easy to uncompress
Source0:        http://www.elsevier.com/framework_authors/misc/elsarticle.zip
Source1:        http://www.elsevier.com/framework_authors/misc/elsart.cls
Source2:        http://www.elsevier.com/framework_authors/misc/elsart1p.cls
Source3:        http://www.elsevier.com/framework_authors/misc/elsart3p.cls
Source4:        http://www.elsevier.com/framework_authors/misc/elsart5p.cls
Source7:        http://www.elsevier.com/framework_authors/misc/template-harv.tex
Source8:        http://www.elsevier.com/framework_authors/misc/template-num.tex
Source9:        http://www.elsevier.com/framework_authors/misc/elsart-harv.bst
Source10:       http://www.elsevier.com/framework_authors/misc/elsart-num.bst
Source11:       http://www.elsevier.com/framework_authors/misc/elsart-num-names.bst
Source12:       http://www.elsevier.com/framework_authors/misc/elsart-num-sort.bst
Source13:       http://www.elsevier.com/framework_authors/misc/CHANGES
Source14:       http://www.elsevier.com/framework_authors/misc/README
Source15:       http://www.elsevier.com/framework_authors/misc/instructions-num.tex
Source16:       http://www.elsevier.com/framework_authors/misc/instructions-harv.tex
Source18:       README.package

Buildarch:      noarch
BuildRequires: /usr/bin/latex texlive-latex-recommended
BuildRequires:  texlive-latex-recommended

Requires: /usr/bin/latex texlive-latex-recommended

Requires(post): /usr/bin/tex texlive-generic-recommended
Requires(postun): /usr/bin/tex texlive-generic-recommended
Source44: import.info

%description
LaTeX style files and documentation for the Elsevier publisher.

%prep
%setup -q -c
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
 %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} \
 %{SOURCE13} %{SOURCE15} %{SOURCE16} %{SOURCE18} .
# There's already a README in the elsarticle zip file, so rename this one
cp -p %{SOURCE14} ./README.elsart
mv README README.elsarticle
mv CHANGES CHANGES.elsart

# remove dos end of lines and keep timestamps
for file in CHANGES.* *.cls *.bst *.tex; do
  sed -e 's/\r//' $file > $file.tmp
  touch -r $file $file.tmp
  mv $file.tmp $file
done

%build
pdflatex instructions-num
pdflatex instructions-num
pdflatex instructions-harv
pdflatex instructions-harv


%install
install -d -m755 $RPM_BUILD_ROOT%{texmf}/tex/latex/elsevier/ 
install -d -m755 $RPM_BUILD_ROOT%{texmf}/bibtex/bst/elsevier/
cp -p *.cls $RPM_BUILD_ROOT%{texmf}/tex/latex/elsevier/
cp -p *.bst $RPM_BUILD_ROOT%{texmf}/bibtex/bst/elsevier/

# Install documentation and link .pdf files into texmf tree for texdoc
install -d -m755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp README.* CHANGES.* *.pdf template-*.tex $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install -d -m755 $RPM_BUILD_ROOT%{texmf}/doc/latex/elsevier
for file in *.pdf; do
    pushd $RPM_BUILD_ROOT%{texmf}/doc/latex/elsevier
    ln -s %{_docdir}/%{name}-%{version}/$file .
    popd
done

%post
mktexlsr >/dev/null 2>&1 || :


%postun
mktexlsr >/dev/null 2>&1 || :


%files
%{_docdir}/%{name}-%{version}
%{texmf}/tex/latex/elsevier/
%{texmf}/bibtex/bst/elsevier/
%{texmf}/doc/latex/elsevier/


%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.20090917-alt1_9
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.20090917-alt1_8
- initial fc import

